cgGLSetTextureParameter(3)

NAME
cgGLSetTextureParameter - sets the value of a texture parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLSetTextureParameter( CGparameter param,
                                GLuint texobj );

PARAMETERS

param
    The texture parameter that will be set.

texobj
    An OpenGL texture object name to which the parameter will be set.

RETURN VALUES
None.

DESCRIPTION
cgGLSetTextureParameter sets the value of a texture parameter to an OpenGL texture object.

Note that in order to use the texture, either cgGLEnableTextureParameter must be called after cgGLSetTextureParameter and before the geometry is drawn, or cgGLSetManageTextureParameters must be called with a value of CG_TRUE.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if param is not a texture parameter or if the parameter fails to set for any other reason.

HISTORY
cgGLSetTextureParameter was introduced in Cg 1.1.

SEE ALSO
cgGLGetTextureParameter, cgGLSetParameter